require 'test_helper'

class ColumnTest < MiniTest::Test
  def test_create
    VCR.use_cassette('geodata/column/create') do
      result = BaiduLBS::Geodata::Column.create(name: 'awesome_column',
                                                key: 'awesome_column',
                                                type: 1,
                                                is_sortfilter_field: 1,
                                                is_search_field: 0,
                                                is_index_field: 1,
                                                geotable_id: 78835)

      assert_equal 0, result['status']
    end
  end

  def test_list
    VCR.use_cassette('geodata/column/list') do
      result = BaiduLBS::Geodata::Column.list(geotable_id: 78835)

      assert_equal 'awesome_column', result['columns'].first['name']
    end
  end

  def test_detail
    VCR.use_cassette('geodata/column/detail') do
      result = BaiduLBS::Geodata::Column.detail(geotable_id: 78835, id: 77316)

      assert_equal 'awesome_column', result['column']['name']
    end
  end

  def test_update
    VCR.use_cassette('geodata/column/update') do
      result = BaiduLBS::Geodata::Column.update(geotable_id: 78835, id: 77316, name: 'cool_column')

      assert_equal 0, result['status']
    end
  end

  def test_delete
    VCR.use_cassette('geodata/column/delete') do
      result = BaiduLBS::Geodata::Column.delete(geotable_id: 78835,id: 77316)

      assert_equal 21, result['status']
    end
  end
end
