require 'test_helper'

class GeotableTest < MiniTest::Test
  def test_create
    VCR.use_cassette('geodata/geotable/create') do
      result = BaiduLBS::Geodata::GeoTable.create(name: 'awesome_places',
                                                  geotype: 1,
                                                  is_published: 1)
      assert_equal 0, result['status']
    end
  end

  def test_list
    VCR.use_cassette('geodata/geotable/list') do
      result = BaiduLBS::Geodata::GeoTable.list

      assert_equal 'awesome_places' , result['geotables'].first['name']
    end
  end

  def test_detail
    VCR.use_cassette('geodata/geotable/detail') do
      result = BaiduLBS::Geodata::GeoTable.detail(78706)

      assert_equal 'awesome_places', result['geotable']['name']
    end
  end

  def test_update
    VCR.use_cassette('geodata/geotable/update') do
      result = BaiduLBS::Geodata::GeoTable.update(78706, name: 'cool_places')

      assert_equal 0, result['status']
    end
  end

  def test_delete
    VCR.use_cassette('geodata/geotable/delete') do
      result = BaiduLBS::Geodata::GeoTable.delete(78706)

      assert_equal 0, result['status']
    end
  end
end
